> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synctera.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Outgoing Synctera Pay Configurations

> Get all Outgoing Synctera Pay configurations




## OpenAPI

````yaml openapi-v1.json get /synctera_pay/configurations
openapi: 3.0.3
info:
  description: >-
    This is the official reference documentation for Synctera APIs. If you need
    something specific or have a question, <a class='text-blue-600'
    href='https://synctera.com/contact-us' target='_blank'
    rel='noreferrer'>contact us</a>.</p>
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  title: Synctera API
  version: 1.181.0
servers:
  - description: Production
    url: https://api.synctera.com/v1
  - description: Sandbox (no real world financial impact)
    url: https://api-sandbox.synctera.com/v1
security:
  - bearerAuth: []
tags:
  - description: |
      Requests to create and manage Rewards
    name: Rewards (beta)
  - description: Requests to generate simulated webhooks
    name: Card Webhook Simulations
  - description: >-
      Testing endpoints to simulate in-store cash deposits. Available in sandbox
      environments only.
    name: In-Store Cash Deposit Simulations
  - description: Create and manage spending controls
    name: Spend Controls (beta)
  - description: Rates
    name: Rates
  - description: Requests to create and manage webhooks
    name: Webhooks
  - description: Tenant Config
    name: Tenant Config
  - description: FDX authentication and data transfer using Plaid Core Exchange
    name: Plaid Core Exchange (beta)
  - description: Create and manage disputes
    name: Disputes
  - description: Requests to simulate card payments
    name: Card Simulations
  - description: |
      Manage fee products and fee configs for automated fee collection
    name: Fee Products
  - description: Apple Pay APIs
    name: Apple Pay
  - description: Lending Config
    name: Lending Config
  - description: Payments related to lending accounts
    name: Payments
  - description: Manage negative balance processes
    name: Negative Balance
  - description: Configuration for mapping LoanPro events to Payola transaction parameters
    name: LoanPro Transaction Event Config
  - description: Requests to generate simulated transactions
    name: Cash Transaction Simulations (alpha)
  - description: Create and manage transactions
    name: Transactions (beta)
  - description: Autopay payment records for billing periods
    name: Autopays
  - description: Create and manage accounts
    name: Accounts
  - description: |
      Requests to create and manage batch payments
    name: Batch Payments (alpha)
  - description: Billing rates
    name: Billing Rates
  - description: Bank Delinquency Configuration
    name: Bank Delinquency Configuration
  - description: >-
      Rules that map a posted payment transaction (bank/partner + transaction
      attributes) to a regulatory payment code. NULL match columns act as
      wildcards.
    name: Payment Code Configuration
  - description: Create and manage Synctera Pay templates
    name: SyncteraPay
  - description: |
      Manage reward products and reward configs for automated cashback rewards
    name: Reward Products
  - description: Requests to create and manage card disputes
    name: Card Disputes
  - description: >-
      Per bank/partner account-type mapping to FFIEC collateral codes used for
      regulatory call report furnishment.
    name: Collateral Code Configuration
  - description: Bulk card issuance
    name: Bulk Issuance
  - description: Autopay configuration management for lending accounts
    name: Autopay Configs
  - description: Request to create and manage exclusions
    name: Statements
  - description: Create and manage barcodes for in-store cash deposits
    name: In-Store Cash Deposits
  - description: Customer Service Details for disputes and billing inquiries
    name: Customer Service Details
  - description: Create a credit application.
    name: Applications (beta)
  - description: Requests to generate simulated transactions
    name: Card Transaction Simulations
  - description: Billing period summaries
    name: Billing Period Summaries
  - description: Requests to issue and manage cards
    name: Cards
  - description: Push and pull from cards
    name: External Cards
  - description: |
      Requests to create and manage fees
    name: Fees (beta)
paths:
  /synctera_pay/configurations:
    summary: Synctera Pay
    description: >
      The collection represents the configurations that are used to create,
      update, and delete Outgoing Synctera Pay configurations.
    get:
      tags:
        - SyncteraPay (beta)
      summary: Get Outgoing Synctera Pay Configurations
      description: |
        Get all Outgoing Synctera Pay configurations
      operationId: getSyncteraPayConfigurations
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/synctera_pay_configurations'
          description: Retrieve all Outgoing Synctera Pay configurations
        '400':
          $ref: '#/components/responses/bad_request'
        '401':
          $ref: '#/components/responses/unauthorized'
        '500':
          $ref: '#/components/responses/internal_server_error'
components:
  schemas:
    synctera_pay_configurations:
      description: |
        A collection of outgoing Synctera Pay configurations
      items:
        $ref: '#/components/schemas/synctera_pay_configuration'
      title: Outgoing Synctera Pay Configurations
      type: array
    synctera_pay_configuration:
      description: >
        An Outgoing Synctera Pay configuration is a configuration that is used
        when creating an outgoing Synctera Pay transfer.
      properties:
        description:
          example: This configuration is used for international remittance
          type: string
        details:
          $ref: '#/components/schemas/synctera_pay_configuration_details'
        enabled:
          description: >
            Whether or not the configuration is enabled. If the configuration is
            not enabled, it will not be used when creating an Outgoing Synctera
            Pay transfer.
          type: boolean
        id:
          description: |
            The ID of the Outgoing Synctera Pay configuration
          format: uuid
          readOnly: true
          type: string
        name:
          example: International Remittance
          type: string
        rules:
          $ref: '#/components/schemas/synctera_pay_configuration_rules'
        tenant:
          $ref: '#/components/schemas/tenant_id'
      required:
        - details
        - name
        - rules
        - tenant
      title: Synctera Pay Configuration
      type: object
    error:
      description: Synctera error responses in API v1 implement a custom error schema.
      properties:
        code:
          description: >
            A machine-readable string that identifies the error for programmatic
            use.
          example: BAD_REQUEST_BODY
          type: string
        detail:
          description: |
            A human-readable string explaining this particular error.
          example: 'Missing required fields: first_name, dob'
          type: string
        status:
          description: HTTP status code for this response
          example: 400
          type: integer
      title: Synctera error response
      type: object
    synctera_pay_configuration_details:
      description: >
        The details of an outgoing Synctera Pay configuration. This is used to
        match the Synctera Pay configuration to a Synctera Pay transfer.
      properties:
        currency:
          description: >
            The currency that will be used to match the Outgoing Synctera Pay
            transfer to the appropriate configuration.
          type: string
        domestic:
          description: |
            Whether the transfer is domestic or international.
          type: boolean
        external_payment_rail:
          description: |
            The external payment rail that will be used for AML checks.
          enum:
            - INTERAC
            - WIRE
          type: string
        settlement_account_id:
          description: >
            The ID of the settlement account that will be used to match the
            Outgoing Synctera Pay transfer to the appropriate configuration.
          format: uuid
          type: string
        settlement_account_type:
          description: >
            The type of the settlement account that will be used to match the
            Outgoing Synctera Pay transfer to the appropriate configuration.
          enum:
            - ACCOUNT
            - INTERNAL_ACCOUNT
          type: string
        subtypes:
          description: >
            The subtypes that will be used to match the Outgoing Synctera Pay
            transfer to the appropriate configuration.
          items:
            $ref: '#/components/schemas/synctera_pay_subtype'
          type: array
      required:
        - currency
        - external_payment_rail
        - settlement_account_id
        - settlement_account_type
        - subtypes
      title: Outgoing Synctera Pay Configuration Details
      type: object
    synctera_pay_configuration_rules:
      description: >
        The rules of an outgoing Synctera Pay configuration. This is used when
        processing a Synctera Pay transfer.
      properties:
        enforce_payee:
          description: >
            If true, the customer matches the payee if and only if the
            peer_to_peer flag is set.
          type: boolean
        hold_time:
          description: >
            The number of minutes that the Outgoing Synctera Pay transfer will
            be held before being processed.
          type: integer
        payee_account_required:
          description: >
            If true, external account creation is mandatory and customer must
            pass final_external_account_id in the payload.
          type: boolean
        peer_to_peer:
          description: >
            If true, peer-to-peer payments are allowed. Has no effect if
            enforce_payee is false.
          type: boolean
        required_details:
          description: >
            The required objects on a transfer that must be present in order to
            post the transfer. Note that a transfer can be initiated without
            these objects, but they must be present in order to post the
            transfer.
          example:
            - exchange_details
          items:
            $ref: '#/components/schemas/synctera_pay_configuration_required_details'
          nullable: true
          type: array
      title: Outgoing Synctera Pay Configuration Rules
      type: object
    tenant_id:
      description: |
        The id of the tenant containing the resource.
      example: abcdef_ghijkl
      type: string
    synctera_pay_subtype:
      description: |
        The subtype of the outgoing synctera pay transfer
      enum:
        - INCOMING_INTERAC_AUTODEPOSIT
        - INCOMING_INTERAC_AUTODEPOSIT_RETURN
        - INCOMING_INTERAC_AUTODEPOSIT_RETURN_REVERSAL
        - INCOMING_INTERAC_AUTODEPOSIT_REVERSAL
        - INCOMING_INTERAC_E_TRANSFER
        - INCOMING_INTERAC_E_TRANSFER_RETURN
        - INCOMING_INTERAC_E_TRANSFER_RETURN_REVERSAL
        - INCOMING_INTERAC_E_TRANSFER_REVERSAL
        - OUTGOING_ACCOUNT_TRANSFER
        - OUTGOING_ACCOUNT_TRANSFER_RETURN
        - OUTGOING_ACCOUNT_TRANSFER_RETURN_REVERSAL
        - OUTGOING_ACCOUNT_TRANSFER_REVERSAL
        - OUTGOING_BILL_PAYMENT
        - OUTGOING_BILL_PAYMENT_RETURN
        - OUTGOING_BILL_PAYMENT_RETURN_REVERSAL
        - OUTGOING_BILL_PAYMENT_REVERSAL
        - OUTGOING_CARD_LOAD
        - OUTGOING_CARD_LOAD_REVERSAL
        - OUTGOING_DOMESTIC_MONEY_TRANSFER_ATM_WITHDRAWAL
        - OUTGOING_DOMESTIC_MONEY_TRANSFER_ATM_WITHDRAWAL_RETURN
        - OUTGOING_DOMESTIC_MONEY_TRANSFER_ATM_WITHDRAWAL_REVERSAL
        - OUTGOING_DOMESTIC_MONEY_TRANSFER_BANK_DEPOSIT
        - OUTGOING_DOMESTIC_MONEY_TRANSFER_BANK_DEPOSIT_RETURN
        - OUTGOING_DOMESTIC_MONEY_TRANSFER_BANK_DEPOSIT_REVERSAL
        - OUTGOING_DOMESTIC_MONEY_TRANSFER_CASH_PICKUP
        - OUTGOING_DOMESTIC_MONEY_TRANSFER_CASH_PICKUP_RETURN
        - OUTGOING_DOMESTIC_MONEY_TRANSFER_CASH_PICKUP_REVERSAL
        - OUTGOING_DOMESTIC_MONEY_TRANSFER_HOME_DELIVERY
        - OUTGOING_DOMESTIC_MONEY_TRANSFER_HOME_DELIVERY_RETURN
        - OUTGOING_DOMESTIC_MONEY_TRANSFER_HOME_DELIVERY_REVERSAL
        - OUTGOING_DOMESTIC_MONEY_TRANSFER_MOBILE_WALLET
        - OUTGOING_DOMESTIC_MONEY_TRANSFER_MOBILE_WALLET_RETURN
        - OUTGOING_DOMESTIC_MONEY_TRANSFER_MOBILE_WALLET_REVERSAL
        - OUTGOING_INTERAC_E_TRANSFER
        - OUTGOING_INTERAC_E_TRANSFER_RETURN
        - OUTGOING_INTERAC_E_TRANSFER_RETURN_REVERSAL
        - OUTGOING_INTERAC_E_TRANSFER_REVERSAL
        - OUTGOING_INTERNATIONAL_MONEY_TRANSFER_ATM_WITHDRAWAL
        - OUTGOING_INTERNATIONAL_MONEY_TRANSFER_ATM_WITHDRAWAL_RETURN
        - OUTGOING_INTERNATIONAL_MONEY_TRANSFER_ATM_WITHDRAWAL_REVERSAL
        - OUTGOING_INTERNATIONAL_MONEY_TRANSFER_BANK_DEPOSIT
        - OUTGOING_INTERNATIONAL_MONEY_TRANSFER_BANK_DEPOSIT_RETURN
        - OUTGOING_INTERNATIONAL_MONEY_TRANSFER_BANK_DEPOSIT_REVERSAL
        - OUTGOING_INTERNATIONAL_MONEY_TRANSFER_CASH_PICKUP
        - OUTGOING_INTERNATIONAL_MONEY_TRANSFER_CASH_PICKUP_RETURN
        - OUTGOING_INTERNATIONAL_MONEY_TRANSFER_CASH_PICKUP_REVERSAL
        - OUTGOING_INTERNATIONAL_MONEY_TRANSFER_HOME_DELIVERY
        - OUTGOING_INTERNATIONAL_MONEY_TRANSFER_HOME_DELIVERY_RETURN
        - OUTGOING_INTERNATIONAL_MONEY_TRANSFER_HOME_DELIVERY_REVERSAL
        - OUTGOING_INTERNATIONAL_MONEY_TRANSFER_MOBILE_WALLET
        - OUTGOING_INTERNATIONAL_MONEY_TRANSFER_MOBILE_WALLET_RETURN
        - OUTGOING_INTERNATIONAL_MONEY_TRANSFER_MOBILE_WALLET_REVERSAL
        - OUTGOING_INTERNATIONAL_REMITTANCE
        - OUTGOING_INTERNATIONAL_REMITTANCE_RETURN
        - OUTGOING_INTERNATIONAL_REMITTANCE_RETURN_REVERSAL
        - OUTGOING_INTERNATIONAL_REMITTANCE_REVERSAL
      example: OUTGOING_INTERNATIONAL_REMITTANCE
      type: string
    synctera_pay_configuration_required_details:
      description: >
        The required details of an Outgoing Synctera Pay configuration. This is
        used when processing an Outgoing Synctera Pay transfer.
      enum:
        - exchange_details
        - final_external_account_id
        - reference_id
        - vendor_id
      example: exchange_details
      title: Synctera Pay outgoing Configuration Required Details
      type: string
  responses:
    bad_request:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Bad request
    unauthorized:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Unauthorized
    internal_server_error:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Internal server error
  securitySchemes:
    bearerAuth:
      bearerFormat: api_key
      scheme: bearer
      type: http

````